package org.jeecg.modules.pay.request.oauth;


import org.jeecg.modules.pay.core.LakalaPayConfig;
import org.jeecg.modules.pay.request.LakalaRequest;

/**
 * 拉卡拉拓客SAAS商户管理获取token请求
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class TokenRequest extends LakalaRequest {

    public TokenRequest(){
        this.grant_type = "client_credentials";
        this.client_id = LakalaPayConfig.TK_CLIENT_ID;
        this.client_secret = LakalaPayConfig.TK_CLIENT_SECRET;
    }

    /**
     * 授权类型
     */
    private String grant_type;

    /**
     * 第三⽅client_id
     */
    private String client_id;

    /**
     * 第三⽅client_secret
     */
    private String client_secret;

    public String getGrant_type() {
        return grant_type;
    }

    public void setGrant_type(String grant_type) {
        this.grant_type = grant_type;
    }

    public String getClient_id() {
        return client_id;
    }

    public void setClient_id(String client_id) {
        this.client_id = client_id;
    }

    public String getClient_secret() {
        return client_secret;
    }

    public void setClient_secret(String client_secret) {
        this.client_secret = client_secret;
    }
}
